import Builder, { toProps } from "../../utils/builder";
export default {
    title: 'Components/Dialog',
};
const Template = new Builder(args => `<x-dialog ${toProps(args)} onClose="action('close')" />`);
export const Simple = Template.args({
    type: "default",
    rounded: true,
    message: "This is a example of text or description",
    header: "This is a title"
}).build();
export const Success = Template.args({
    type: "success",
    rounded: true,
    message: "Gracias por su compra",
    header: "Cobro pagado",
}).build();
export const Danger = Template.args({
    type: "danger",
    rounded: true,
    message: "Tarjeta no valida",
    header: "Pago no procesado",
}).build();
export const Confirm = Template.args({
    type: "confirm",
    rounded: true,
    message: "Tarjeta no valida",
    header: "Desea cancelar la orden?",
}).build();
export const Exception = Template.args({
    type: "exception",
    rounded: true,
    message: "Tarjeta no valida",
    header: "Pago no procesado",
}).build();
export const Error = Template.args({
    type: "error",
    rounded: true,
    message: "Tarjeta no valida",
    header: "Pago no procesado",
}).build();
export const Invalid = Template.args({
    type: "invalid",
    rounded: true,
    message: "Tarjeta no valida",
    header: "Pago no procesado",
}).build();
export const Missing = Template.args({
    type: "missing",
    rounded: true,
    message: "Pongase en contacto con IT",
    header: "No encontrado",
}).build();
export const Payment = Template.args({
    type: "payment",
    rounded: true,
    message: "No pagado",
    header: "Ocurrio un error",
}).build();
export const Unknown = Template.args({
    type: "unknown",
    rounded: true,
    message: "No sabemos que paso",
    header: "Desconocido",
}).build();
export const Failure = Template.args({
    type: "failure",
    rounded: true,
    message: "No se proceso el pago",
    header: "Pago incompleto",
}).build();
export const NoResult = Template.args({
    type: "no-result",
    rounded: true,
    message: "No se encontro",
    header: "Resultado incompleto",
}).build();
export const Forbidden = Template.args({
    type: "forbidden",
    rounded: true,
    message: "No se proceso el pago",
    header: "Pago incompleto",
}).build();
export const WithInterval = Template.args({
    type: "payment",
    rounded: true,
    message: "No se proceso el pago",
    header: "Pago incompleto",
    interval: "2",
}).build();
